#!/bin/bash

wget http://apt.puppetlabs.com/puppet6-release-bullseye.deb
dpkg -i puppet6-release-bullseye.deb
rm -f puppet6-release-bullseye.deb
apt-get update
apt-get -y dist-upgrade
apt-get -y install puppet-agent=6.28.0-1bullseye quota
apt-mark hold puppet-agent
quotacheck -m /
quotacheck -m /scratch
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz --waitforcert 120
/usr/bin/apt-key adv --no-tty --keyserver keyserver.ubuntu.com --recv-keys 4EB27DB2A3B88B8B
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
tune2fs -L scratch_ssd LABEL=SCRATCH_SSD
/opt/puppetlabs/bin/puppet agent -t --server puppet.cerit-sc.cz
echo 'deb https://developer.download.nvidia.com/compute/cuda/repos/debian12/x86_64/ /' > /etc/apt/sources.list.d/nvidia.list
/usr/bin/apt-key adv --no-tty --keyserver keyserver.ubuntu.com --recv-keys A4B469963BF863CC || /usr/bin/apt-key adv --no-tty --keyserver keyserver.ubuntu.com --recv-keys A4B469963BF863CC || /usr/bin/apt-key adv --no-tty --keyserver keyserver.ubuntu.com --recv-keys A4B469963BF863CC
apt-get update
echo -e  "blacklist nouveau\noptions nouveau modeset=0\n" > /etc/modprobe.d/nvidia-installer-disable-nouveau.conf
wget https://us.download.nvidia.com/XFree86/Linux-x86_64/560.35.03/NVIDIA-Linux-x86_64-560.35.03.run
sh ./NVIDIA-Linux-x86_64-560.35.03.run --rebuild-initramfs --dkms --no-nouveau-check --disable-nouveau -q -s --skip-module-load --install-compat32-libs
apt-get install -y cuda-toolkit-12

#reboot
